Bug 889690 - startup warning message
startup warning message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-22 11:10 EST by Gene Czarcinski
Modified: 2014-02-05 09:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:07:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2012-12-22 11:10:49 EST
Description of problem:
Every time gedit starts, the following message is issued on the terminal:

** (gedit:15540): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Comment 1 Dr J Austin 2013-03-08 07:55:10 EST
I too receive such messages on fully updated F18 machines

I am using lightdm, xfce, konsole, nfs, ldap, ...

I have two fully updated F18 machine minix and avon

The messages change depending upon whether I log into the console or ssh onto the machines

Not sure whether this is relevant but
I have had to down grade from gcr-3.6.2-3.fc18.x86_64 to gcr-3.6.2-1.fc18.x86_64
on minix to get evolution to ask for a password
https://bugzilla.redhat.com/show_bug.cgi?id=753882

avon has the later version of grc and evolution is unusable

Messages when logged into the console of either machine
ja@minix ~ 1$ gedit fred

** (gedit:16992): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (gedit:16992): CRITICAL **: atk_bridge_adaptor_cleanup: assertion `inited' failed

ja@minix ~ 2$ evolution

** (evolution:16998): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (evolution-alarm-notify:17018): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

** (evolution:16998): CRITICAL **: atk_bridge_adaptor_cleanup: assertion `inited' failed
ja@minix ~ 3$
------------------------------------------------------------------------

Messages on when ssh from "minix" to "avon"

ja@avon ~ 2$ gedit fred

** (gedit:1878): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-1li1k61lbG: Connection refused

** (gedit:1878): CRITICAL **: atk_bridge_adaptor_cleanup: assertion `inited' failed
----------------------------
ja@avon ~ 3$ evolution 

** (evolution:1903): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-1li1k61lbG: Connection refused

** (evolution-alarm-notify:1939): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-1li1k61lbG: Connection refused
^C
ja@avon ~ 4$
Comment 2 Dr J Austin 2013-03-08 08:24:22 EST
oops - the cross referenced bug in comment #1 is incorrect

https://bugzilla.redhat.com/show_bug.cgi?id=753882
should read
https://bugzilla.redhat.com/show_bug.cgi?id=907156
Comment 3 Dr J Austin 2013-03-13 06:28:11 EDT
I have changed from lightdm (the default Display Manager for F18 XFCE install) to
kdm and the messages no longer occur

I do not believe I changed the default configuration of lightdm, nor had
any previous configuration lying around.
Comment 4 R Jenssen 2013-08-14 20:08:56 EDT
There are many, many questions about the accessibility bus message scattered over the various Linux related mailing lists. The most useful response I have seen is from 2011: https://mail.gnome.org/archives/gnome-accessibility-devel/2011-June/msg00006.html
Comment 5 D. Charles Pyle 2013-09-03 01:51:31 EDT
I'm seeing similar messages in terminal but also with cheese.  I see them both in GNOME Shell and in Cinnamon DE.
Comment 6 R Jenssen 2013-09-28 01:06:49 EDT
The following seems to stop these messages:

export NO_AT_BRIDGE=1
Comment 7 D. Charles Pyle 2013-09-28 15:44:46 EDT
After a recent spate of updates, I have stopped seeing these messages as frequently.  Today, it has not yet happened at all with either gedit or gnome-terminal.

In the event I see it again, where would one put the "export NO_AT_BRIDGE=1" line? In the /etc/environment file or elsewhere?
Comment 8 R Jenssen 2013-09-28 19:07:29 EDT
I put it in ~/.bash_profile
Comment 9 D. Charles Pyle 2013-09-29 09:50:24 EDT
I just upgraded to Fedora 20-Alpha yesterday evening.  I have not seen that error yet.  But, I will keep this workaround in mind should I see it again.
Comment 10 Fedora End Of Life 2013-12-21 05:03:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 09:07:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.